/**
 * Service Manager Proxy API
 * API to manage Service manager proxy.
 * OpenAPI spec version: 20210914
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Model describing service environment properties.
 */
export interface ServiceEnvironment {
    /**
     * Unqiue identifier for the entitlement related to the environment.
     *
     */
    "id": string;
    /**
     * The subscription Id corresponding to the service environment Id.
     *
     */
    "subscriptionId": string;
    /**
     * Status of the entitlement registration for the service.
     */
    "status": model.ServiceEntitlementRegistrationStatus;
    /**
     * Compartment Id associated with the service.
     */
    "compartmentId": string;
    "serviceDefinition": model.ServiceDefinition;
    /**
     * The URL for the console.
     */
    "consoleUrl"?: string;
    /**
     * Array of service environment end points.
     */
    "serviceEnvironmentEndpoints"?: Array<model.ServiceEnvironmentEndPointOverview>;
}
export declare namespace ServiceEnvironment {
    function getJsonObj(obj: ServiceEnvironment): object;
    function getDeserializedJsonObj(obj: ServiceEnvironment): object;
}
